{% extends 'Proyecto/viewProyectoBase.html' %}
{% load custom_tags %}
{% block tab-sprint %}
    <li class="nav-item">
        <a class="nav-link active" href="#">Sprint</a>
    </li>
{% endblock %}

{% block content-project %}
    <div>
        <div class="input-group">
            <input type="text" id="buscarSprint" onkeyup="buscarTabla('buscarSprint','tablaSprint')"
                   placeholder="Buscar por Numero"
                   title="Escriba un rol" class="form-control m-3" aria-describedby="inputGroup-sizing-lg">
        </div>
        <table class="table table-hover" id="tablaSprint">
            <thead class="thead-dark">{# cabecera de tabla #}
            <tr>
                <th onclick="sortTable(0,'tablaSprint','Numero')" width="15%">Numero</th>
                <th onclick="sortTable(1,'tablaSprint','String')">Fecha inicio</th>
                <th onclick="sortTable(2,'tablaSprint','String')">Fecha fin</th>
                <th onclick="sortTable(3,'tablaSprint','String')">Estado</th>
                <th>Acciones</th>
            </tr>
            </thead>
            <tbody>
            <!-- Aqui el ciclo si hace falta mostrar todos los sprints -->
            {% for sprint in listarSprint %}{# todas las US que vienen desde view.py #}
                <tr>
                    <td>{{ sprint.numero }}</td>
                    <td>{{ sprint.fechaInicio }}</td>
                    <td>{{ sprint.fechaFin }}</td>
                    <td>

                        {% if sprint.estado == 'P' %}
                            Pendiente
                        {% elif sprint.estado == 'E' %}
                            En curso
                        {% elif sprint.estado == 'T' %}
                            Terminado
                        {% elif sprint.estado == 'C' %}
                            Cancelado
                        {% endif %}
                    </td>
                    <td>
                        <form method="POST" action="">
                            {% csrf_token %}
                            <div class="btn-group">
                                {% if proyecto.estado != 'T' %}
                                    {% if sprint.estado == 'P' %}
                                        <a href="{% url 'Proyecto:ListarUsSprintBacklog' idProyecto sprint.id %}"
                                           title="Ver"
                                           type="button"
                                           class="btn btn-primary {% if permisos %}{% if not permisos|get_at_index:12 %}
                                        disabled {% endif %}{% endif %}">
                                            Agregar Us</a>

                                        <a href="{% url 'Proyecto:ListarSprintBacklog' idProyecto sprint.id %}"
                                           type="button"
                                           class="btn btn-primary ml-1">Ver SprintBacklog</a>

                                        <a href="{% url 'Proyecto:miembrosSprint' sprint.id %}"
                                           type="button"
                                           class="btn btn-primary ml-1">Miembros</a>

                                        {# aquie se pasan los parametros que se necistan en view.py #}
                                        {% if  bandSprint == False %}
                                            <a href="{% url 'Proyecto:VerificarSprint' idProyecto sprint.id %}"
                                               title="Editar"
                                               type="button"
                                               class="btn btn-success ml-1
                                                       {% if permisos %}{% if not permisos|get_at_index:10 %}
                                           disabled {% endif %}{% endif %}">
                                                Empezar Sprint </a>
                                        {% endif %}

                                    {% elif sprint.estado == 'E' %}

                                        <a href="{% url 'Proyecto:verKanban'  sprint.id 1 %}" title="Kanban"
                                           type="button"
                                           class="btn btn-primary ml-1">
                                            Kanban</a>

                                        <a href="{% url 'Proyecto:burndownChart'  sprint.id %}" title="BurndownChart"
                                           type="button" class="btn btn-primary ml-1">
                                            Burndown Chart</a>

                                        <a href="{% url 'Proyecto:ListarSprintBacklog' idProyecto sprint.id %}"
                                           type="button"
                                           class="btn btn-info ml-1">Ver SprintBacklog</a>

                                        <a href="{% url 'Proyecto:miembrosSprint' sprint.id %}"
                                           type="button"
                                           class="btn btn-info ml-1">Miembros</a>

                                        <a href="{% url 'Proyecto:resumenFinSprint' idProyecto sprint.id %}"
                                           title="Eliminar" type="button"
                                           class="btn btn-danger ml-1
                                                   {% if permisos %}{% if not permisos|get_at_index:11 %}
                                       disabled {% endif %}{% endif %}">
                                            Finalizar</a>

                                    {% else %}
                                        <a href="{% url 'Proyecto:verKanban'  sprint.id 1 %}" title="Kanban"
                                           type="button"
                                           class="btn btn-primary ml-1">
                                            Kanban</a>
                                        <a href="{% url 'Proyecto:burndownChart'  sprint.id %}" title="BurndownChart"
                                           type="button" class="btn btn-primary ml-1">
                                            Burndown Chart</a>
                                        <a href="{% url 'Proyecto:ListarSprintBacklog' idProyecto sprint.id %}"
                                           type="button"
                                           class="btn btn-primary ml-1">Ver SprintBacklog</a>

                                        <a href="{% url 'Proyecto:miembrosSprint' sprint.id %}"
                                           type="button"
                                           class="btn btn-primary ml-1">Miembros</a>

                                    {% endif %}
                                {% else %}
                                    <a href="{% url 'Proyecto:verKanban'  sprint.id 1 %}" title="Kanban" type="button"
                                       class="btn btn-primary ml-1">
                                        Kanban</a>
                                    <a href="{% url 'Proyecto:burndownChart'  sprint.id %}" title="BurndownChart"
                                       type="button" class="btn btn-primary ml-1">
                                        Burndown Chart</a>
                                    <a href="{% url 'Proyecto:ListarSprintBacklog' idProyecto sprint.id %}"
                                       type="button"
                                       class="btn btn-info ml-1">Ver SprintBacklog</a>
                                    <a href="{% url 'Proyecto:miembrosSprint' sprint.id %}"
                                           type="button"
                                           class="btn btn-primary ml-1">Miembros</a>

                                {% endif %}
                            </div>
                        </form>
                    </td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>

    <div class="p-3">
        {% if proyecto.estado != 'T' %}
            <a class="btn btn-primary
                    {% if permisos %}{% if not permisos|get_at_index:9 %} disabled {% endif %}{% endif %}"
               href="{% url 'Proyecto:CrearSprint' idProyecto %}" role="button">
                Crear Nuevo Sprint</a>
        {% endif %}
        <a class="btn btn-secondary {% if not countSprintEnCurso > 0 %} disabled {% endif %}"
           href="{% url 'Proyecto:listUsSprintActualPdf' idProyecto %}"
           role="button">Sprint Actual PDF</a>
        <a class="btn btn-secondary center" href="{% url 'Proyecto:index' %} " role="button">Volver</a>
    </div>

{% endblock %}